# !/usr/bin/ksh
# next line starts wish \
exec wish "$0" "$@"

# -------------------------------------------------------------------------
# (c) 2019, Johann Oberdorfer - Engineering Support | CAD | Software
#     johann.oberdorfer [at] gmail.com
#     www.johann-oberdorfer.eu
# -------------------------------------------------------------------------
# This source file is distributed under the BSD license.
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#   See the BSD License for more details.
# -------------------------------------------------------------------------
#
# Revision history:
# 19-08-04: Hans, Initial release
# -------------------------------------------------------------------------


if {[catch {
	package require starkit
	if {[starkit::startup] eq "sourced"} { return } }]} {

	namespace eval ::starkit {
		if {[set this [info script]] == ""} {
			set this [info nameofexecutable]
		}
		variable topdir [file normalize [file dirname $this]]
	}
}

# what packages do we need:

# unused for the moment:
# lappend auto_path [file join $::starkit::topdir "lib"]

lappend auto_path [file join $::starkit::topdir "app_images"]

package require Tk
package require app_images

# start the demo...
source [file join $::starkit::topdir [file join "app" "hello_world.tcl"]]


